<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Hierarchia klas</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('hierarchy.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">Hierarchia klas</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock">
<p><a href="hierarchy.html">Idź do tekstowej hierarchii klas</a></p>
</div><table border="0" cellspacing="10" cellpadding="0">
<tr><td><img src="inherit_graph_0.png" border="0" usemap="#a_q_frame" alt=""/>
<map name="a_q_frame" id="a_q_frame">
<area shape="rect" title=" " alt="" coords="5,104,75,129"/>
<area shape="rect" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji." alt="" coords="123,104,229,129"/>
<area shape="poly" title=" " alt="" coords="88,114,122,114,122,119,88,119"/>
<area shape="rect" href="class_distance_win.html" title="Widget wyświetlający odczyty czujników odległości." alt="" coords="281,5,376,31"/>
<area shape="poly" title=" " alt="" coords="202,93,276,40,297,28,300,33,279,44,205,97"/>
<area shape="rect" href="class_map3_d.html" title="Opakowanie okna z obiektami trójwymiarowymi." alt="" coords="297,55,360,80"/>
<area shape="poly" title=" " alt="" coords="228,97,296,75,298,80,230,102"/>
<area shape="rect" href="class_terminal.html" title="Wyświetla różnego typu komunikaty." alt="" coords="293,104,365,129"/>
<area shape="poly" title=" " alt="" coords="243,114,292,114,292,119,243,119"/>
<area shape="rect" href="class_travel_info.html" title="Wyświetla informacje o podróży robota." alt="" coords="289,153,369,179"/>
<area shape="poly" title=" " alt="" coords="230,131,289,151,287,156,228,136"/>
<area shape="rect" href="class_velocity_graph.html" title="Wykres prędkości koła w czasie." alt="" coords="277,203,380,228"/>
<area shape="poly" title=" " alt="" coords="205,136,279,188,301,200,299,205,276,192,202,140"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_1.png" border="0" usemap="#a_q_g_l_viewer" alt=""/>
<map name="a_q_g_l_viewer" id="a_q_g_l_viewer">
<area shape="rect" title=" " alt="" coords="5,5,96,31"/>
<area shape="rect" href="class_viewer.html" title="Okno z modelami trójwymiarowymi." alt="" coords="144,5,207,31"/>
<area shape="poly" title=" " alt="" coords="110,15,144,15,144,21,110,21"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_2.png" border="0" usemap="#a_q_main_window" alt=""/>
<map name="a_q_main_window" id="a_q_main_window">
<area shape="rect" title=" " alt="" coords="5,5,112,31"/>
<area shape="rect" href="class_main_window.html" title="Główne okno aplikacji." alt="" coords="160,5,256,31"/>
<area shape="poly" title=" " alt="" coords="126,15,160,15,160,21,126,21"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_3.png" border="0" usemap="#a_q_widget" alt=""/>
<map name="a_q_widget" id="a_q_widget">
<area shape="rect" title=" " alt="" coords="5,31,77,56"/>
<area shape="rect" href="class_numeric_data.html" title="Wyświetla dane z czujnika odległości." alt="" coords="125,5,224,31"/>
<area shape="poly" title=" " alt="" coords="90,31,125,25,126,30,91,37"/>
<area shape="rect" href="class_robot_image.html" title="Widget wyświetlający obraz robota." alt="" coords="129,55,221,80"/>
<area shape="poly" title=" " alt="" coords="91,50,129,56,128,62,90,55"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_4.png" border="0" usemap="#a_robot_data" alt=""/>
<map name="a_robot_data" id="a_robot_data">
<area shape="rect" href="class_robot_data.html" title="Zbiór wszystkich danych otrzymywanych z robota." alt="" coords="5,5,88,31"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_5.png" border="0" usemap="#a_robot_model" alt=""/>
<map name="a_robot_model" id="a_robot_model">
<area shape="rect" href="class_robot_model.html" title="Trójwymiarowy model robota." alt="" coords="5,5,96,31"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_6.png" border="0" usemap="#a_serial_port" alt=""/>
<map name="a_serial_port" id="a_serial_port">
<area shape="rect" href="class_serial_port.html" title="Modeluje port szeregowy." alt="" coords="5,5,84,31"/>
</map>
</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
